<template>
  <v-app class="priceListReport">
    <div class="priceListReport__title">
      <h1>Прейскурант</h1>
    </div>

    <div class="priceListReport__subtitle">
      <h2>Нажмите для создания отчёта</h2>
    </div>

    <v-dialog v-model="dialog" max-width="500px">
      <template v-slot:activator="{ on, attrs }">
        <v-btn class="priceListReport__btn" v-bind="attrs" v-on="on" style="margin-right: auto">Создать</v-btn>
      </template>
      <v-card >
        <v-card-title>
          <span class="text-h5">{{ "Получить отчёт" }}</span>
        </v-card-title>

        <v-card-actions>
          <v-spacer></v-spacer>
          <v-btn color="#AFFFCF" @click="close">Закрыть</v-btn>
          <v-btn color="#AFFFCF" @click="requestReport">Получить отчет</v-btn>
        </v-card-actions>
      </v-card>

    </v-dialog>
    <div v-if="this.checker">
      <v-col cols="12">
        <iframe id="frame" type="application/pdf" :src="this.pdfsrc" style="width: 100%; height: 620px">
        </iframe>
      </v-col>
    </div>
    <div v-else>
    </div>
  </v-app>
</template>

<script>
import axios from "axios";

export default {
  name: "PriceListReport",
  data() {
    return {
      dialog: false,
      checker: false,
      pdfsrc: '',
      priceLists: [],
    }
  },

  methods: {
    async fetchReport() {
      axios
          .post(this.$root.globalVar + '/reports/price_list_report/', {}, {
            responseType: "blob"
          })
          .catch(error => {
            console.log(error)
            alert('Ошибка! Подробности: сервер отключен.')
          })
          .then(response => {
            console.log("Success", response);
            const blob = new Blob([response.data], {type: 'application/pdf'});
            console.log(blob)
            const objectUrl = URL.createObjectURL(blob);
            this.pdfsrc = objectUrl;
            console.log(objectUrl);
            window.open(objectUrl)
            this.checker = true;
          })
    },

    close() {
      this.dialog = false
    },

    requestReport() {
      this.fetchReport()
      this.dialog = false
    }

  }
}
</script>

<style lang="scss" scoped>
.priceListReport {
  &__title {
    text-align: center;
    margin: 60px 0 30px 0;
  }

  &__subtitle {
    margin: 0 0 20px 50px
  }

  &__btn {
    margin-left: 50px;
  }
}
</style>